# TableConfig (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.parlor.data
Class TableConfig

    java.lang.Object
      com.threerings.io.SimpleStreamableObject
          com.threerings.parlor.data.TableConfig

All Implemented Interfaces:
  com.threerings.io.Streamable

    public class TableConfig

extends com.threerings.io.SimpleStreamableObject

Table configuration parameters for a game that is to be matchmade using the table services.

Nested Class Summary

Nested classes/interfaces inherited from interface com.threerings.io.Streamable
`com.threerings.io.Streamable.Closure`

Field Summary
`int` `desiredPlayerCount` The total number of players that are desired for the table.
`int` `minimumPlayerCount` The minimum number of players needed overall (or per-team if a team-based game) for the game to start at the creator's discretion.
`boolean` `privateTable` Whether the table is "private".
`int[][]` `teamMemberIndices` If non-null, indicates that this is a team-based game and contains the team assignments for each player.

Constructor Summary
`TableConfig()`

Method Summary

Methods inherited from class com.threerings.io.SimpleStreamableObject
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### desiredPlayerCount

    public int desiredPlayerCount

  The total number of players that are desired for the table. For team games, this should be set to the total number of players overall, as teams may be unequal.

### minimumPlayerCount

    public int minimumPlayerCount

  The minimum number of players needed overall (or per-team if a team-based game) for the game to start at the creator's discretion.

### teamMemberIndices

    public int[][] teamMemberIndices

  If non-null, indicates that this is a team-based game and contains the team assignments for each player. For example, a game with three players in two teams- players 0 and 2 versus player 1- would have { {0, 2}, {1} };

### privateTable

    public boolean privateTable

  Whether the table is "private".

Constructor Detail

### TableConfig

    public TableConfig()

Copyright © 2011. All Rights Reserved.